## yoshimi 1.4.0.1

=== src/CMakeLists.txt ===
#
#   CMakeLists.txt
#
#   Copyright 2009-2011, Alan Calvert
#   Copyright 2014-2016, Will Godfrey, and others
#
#   This file is part of yoshimi, which is free software: you can
#   redistribute it and/or modify it under the terms of the GNU General
#   Public License as published by the Free Software Foundation, either
#   version 2 of the License, or (at your option) any later version.
#
#   yoshimi is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with yoshimi.  If not, see <http://www.gnu.org/licenses/>.

project (Yoshimi)
cmake_minimum_required (VERSION 2.6)
cmake_policy (VERSION 2.6)
cmake_policy (SET CMP0004 OLD)
if (POLICY CMP0046)
    cmake_policy (SET CMP0046 OLD)
endif (POLICY CMP0046)
set (CMAKE_CXX_STANDARD 11) # we seem to need both for
add_definitions(-std=gnu++11) # various versions of cmake
set (YOSHIMI_VERSION "1.4.0.1")
file (WRITE version.txt "${YOSHIMI_VERSION}")

set (CMAKE_INCLUDE_CURRENT_DIR ON)
set (CMAKE_USE_RELATIVE_PATHS OFF)
    # relative paths break some scripts(?)
set (CMAKE_SKIP_RULE_DEPENDENCY OFF)
    # Rebuild objects if rules have changed, even if source hasn't.

message (STATUS "Building Yoshimi version ${YOSHIMI_VERSION} for ${CMAKE_SYSTEM_NAME}")

include (CheckCSourceCompiles)
include(GNUInstallDirs)

mark_as_advanced (EXECUTABLE_OUTPUT_PATH)
mark_as_advanced (LIBRARY_OUTPUT_PATH)
mark_as_advanced (CMAKE_BUILD_TYPE)
mark_as_advanced (CMAKE_INSTALL_PREFIX)

# Check for jack session availability
check_c_source_compiles (
    "#include <jack/session.h>
    int main(int argc, char **argv)
    {
        jack_session_event_type_t x = JackSessionSave;
        return 0;
    }" HasJackSession
)

if (HasJackSession)
    option (JackSessionSupport "Include Jack Session Support" ON)
else (HasJackSession)
    set (JackSessionSupport OFF)
endif (HasJackSession)

#set (DefaultAudio jack CACHE STRING "Default audio driver - alsa or jack")
#set (DefaultMidi jack CACHE STRING "Default midi driver - alsa or jack")

option (BuildForAMD_X86_64 "Build for AMD x86_64 system" OFF)
option (BuildForCore2_X86_64 "Build for Intel Core2 x86_64 system" OFF)
option (BuildForDebug "Include gdb debugging support" OFF)

#option to build lv2 plugin
option (BuildLV2Plugin "Build yoshimi lv2 plugin interface" ON)

set (FifoDirectory /dev/shm CACHE STRING "Directory for fifos")

set (BuildOptions_x86_64AMD
    "-O3 -march=athlon64 -m64 -Wall -ffast-math -fno-finite-math-only -fomit-frame-pointer"
  CACHE STRING "X86_64 compiler options"
)

set (BuildOptions_X86_64Core2
    "-O3 -march=core2 -m64 -Wall -ffast-math -fno-finite-math-only -fomit-frame-pointer"
  CACHE STRING "X86_64 compiler options"
)

set (BuildOptionsBasic
    "-O3 -msse -msse2 -mfpmath=sse -ffast-math -fomit-frame-pointer"
    CACHE STRING "basic X86 complier options"
)

set (BuildOptionsDebug
    "-O0 -g3 -ggdb -Wall -Wpointer-arith" CACHE STRING "Debug build flags")

find_package (PkgConfig REQUIRED)
if (PKG_CONFIG_FOUND)
    message(STATUS "Found pkg-config ${PKG_CONFIG_EXECUTABLE}")
else (PKG_CONFIG_FOUND)
    message(FATAL_ERROR "pkg-config required but not found")
endif (PKG_CONFIG_FOUND)

# libz
set (CMAKE_REQUIRED_LIBRARIES z)
check_c_source_compiles (
    "#include <zlib.h>
     int main(int argc, char **argv) {
         gzFile zzz  = gzopen(\"/dev/null\", \"rb\");
         if (NULL != zzz)
            gzclose(zzz);
         return 0;
     }" HAS_LIBZ
)
if (HAS_LIBZ)
    message(STATUS "Found libz")
else (HAS_LIBZ)
    message(FATAL_ERROR "libz required but not found: ${HAS_LIBZ}")
endif (HAS_LIBZ)

# fftw3f
pkg_check_modules (FFTW3F REQUIRED fftw3f>=0.22)
if (FFTW3F_FOUND)
    set (FFTW3F_LIBRARIES "${FFTW3F_LIBRARIES}")
    message (STATUS "Found fftw3f ${FFTW3F_VERSION}")
else (FFTW3F_FOUND)
    message (FATAL_ERROR "fftw3f >=0.22 required but not found")
endif (FFTW3F_FOUND)

# mxml
pkg_check_modules (MXML REQUIRED mxml>=2.5)
if (MXML_FOUND)
    message(STATUS "Found mxml ${MXML_VERSION}")
else (MXML_FOUND)
    message(FATAL_ERROR "mxml >=2.5 required but not found")
endif (MXML_FOUND)

# Alsa
pkg_check_modules (ALSA REQUIRED alsa>=1.0.17)
if (ALSA_FOUND)
    message(STATUS "Found Alsa ${ALSA_VERSION}")
else (ALSA_FOUND)
    message(FATAL_ERROR "Alsa >=1.0.17 required but not found")
endif (ALSA_FOUND)

# Jack
pkg_check_modules (JACK REQUIRED jack>=0.115.6)
if (JACK_FOUND)
    message(STATUS "Found jack ${JACK_VERSION}")
else (JACK_FOUND)
    message(FATAL_ERROR "Jack >=0.115.6 required but not found")
endif (JACK_FOUND)

# Boost
find_package (Boost)
if (Boost_FOUND)
    message(STATUS "Found boost headers version " ${Boost_VERSION})
else (Boost_FOUND)
    message (FATAL_ERROR "boost headers required, but not found")
endif (Boost_FOUND)

# fontconfig
pkg_check_modules (FONTCONFIG REQUIRED fontconfig>=0.22)
mark_as_advanced(FONTCONFIG_LIBRARIES)
if(FONTCONFIG_FOUND)
    message (STATUS "Found fontconfig ${FONTCONFIG_VERSION}")
else(FONTCONFIG_FOUND)
    message (FATAL_ERROR "fontconfig>=0.22 required but not found")
endif(FONTCONFIG_FOUND)


# libcairo
pkg_check_modules (LIBCAIRO REQUIRED cairo)
if (LIBCAIRO_FOUND)
    message (STATUS "Found libcairo ${LIBCAIRO_VERSION}")
else (LIBCAIRO_FOUND)
    message (FATAL_ERROR "libcairo required but not found")
endif (LIBCAIRO_FOUND)


# fltk
find_package (FLTK REQUIRED)
if (FLTK_FOUND)
    message (STATUS "Found FLTK")
else (FLTK_FOUND)
    message (FATAL_ERROR "FLTK required but not found")
endif (FLTK_FOUND)
mark_as_advanced (FLTK_DIR)
mark_as_advanced (FLTK_FLUID_EXECUTABLE)
mark_as_advanced (FLTK_MATH_LIBRARY)


# libncurses
pkg_check_modules (LIBNCURSES ncurses)
if (LIBNCURSES_FOUND)
    message (STATUS "Found libncurses ${LIBNCURSES_VERSION}")
else ()
    pkg_check_modules (LIBNCURSES REQUIRED ncursesw)
    if (LIBNCURSES_FOUND)
        message (STATUS "Found libncursesw ${LIBNCURSES_VERSION}")
    else()
        message (FATAL_ERROR "libncurses required but not found")
    endif ()
endif ()

find_path(Readline_ROOT_DIR
    NAMES include/readline/readline.h
)

find_path(Readline_INCLUDE_DIR
    NAMES readline/readline.h
    HINTS ${Readline_ROOT_DIR}/include
)

find_library(Readline_LIBRARY
    NAMES readline
    HINTS ${Readline_ROOT_DIR}/lib
)

if(Readline_INCLUDE_DIR AND Readline_LIBRARY AND Ncurses_LIBRARY)
  set(READLINE_FOUND TRUE)
else(Readline_INCLUDE_DIR AND Readline_LIBRARY AND Ncurses_LIBRARY)
  FIND_LIBRARY(Readline_LIBRARY NAMES readline)
  include(FindPackageHandleStandardArgs)
  FIND_PACKAGE_HANDLE_STANDARD_ARGS(Readline DEFAULT_MSG Readline_INCLUDE_DIR Readline_LIBRARY )
  MARK_AS_ADVANCED(Readline_INCLUDE_DIR Readline_LIBRARY)
endif(Readline_INCLUDE_DIR AND Readline_LIBRARY AND Ncurses_LIBRARY)

mark_as_advanced(
    Readline_ROOT_DIR
    Readline_INCLUDE_DIR
    Readline_LIBRARY
)

if(READLINE_FOUND)
    message (STATUS "Readline library found" )
else(READLINE_FOUND)
    message( FATAL_ERROR "Readline library not found! Please install development components (libreadline-dev)" )
endif(READLINE_FOUND)

set (YOSHI_INCLUDES ${FLTK_INCLUDE_DIR})

if (BuildForDebug)
    set (CMAKE_BUILD_TYPE "Debug")
    set (CMAKE_CXX_FLAGS_DEBUG ${BuildOptionsDebug})
    message (STATUS "Building for ${CMAKE_BUILD_TYPE}, flags: ${CMAKE_CXX_FLAGS_DEBUG}")
else (BuildForDebug)
    set (CMAKE_BUILD_TYPE "Release")
    if (BuildForAMD_X86_64)
        set (CMAKE_CXX_FLAGS_RELEASE ${BuildOptions_x86_64AMD})
    else (BuildForAMD_X86_64)
        if (BuildForCore2_X86_64)
            set (CMAKE_CXX_FLAGS_RELEASE ${BuildOptions_X86_64Core2})
        else (BuildForCore2_X86_64)
            set (CMAKE_CXX_FLAGS_RELEASE ${BuildOptionsBasic})
        endif (BuildForCore2_X86_64)
    endif (BuildForAMD_X86_64)
    message (STATUS "Building for ${CMAKE_BUILD_TYPE}, flags: ${CMAKE_CXX_FLAGS_RELEASE}")
endif (BuildForDebug)

configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/../desktop/yoshimi.desktop.in"
    "${CMAKE_CURRENT_BINARY_DIR}/yoshimi.desktop"
    IMMEDIATE @ONLY)

set (DSP_sources
    DSP/FFTwrapper.cpp  DSP/AnalogFilter.cpp  DSP/FormantFilter.cpp
    DSP/SVFilter.cpp  DSP/Filter.cpp  DSP/Unison.cpp
)

set (Effects_sources
    Effects/Alienwah.cpp  Effects/Chorus.cpp  Effects/Echo.cpp
    Effects/EffectLFO.cpp  Effects/EffectMgr.cpp  Effects/Effect.cpp
    Effects/Phaser.cpp  Effects/Reverb.cpp  Effects/EQ.cpp
    Effects/Distorsion.cpp  Effects/DynamicFilter.cpp
)

set (Misc_sources
    Misc/ConfBuild.cpp  Misc/Config.cpp  Misc/SynthEngine.cpp  Misc/Bank.cpp
    Misc/Microtonal.cpp   Misc/Part.cpp  Misc/XMLwrapper.cpp  Misc/MiscFuncs.cpp   Misc/WavFile.cpp   Misc/CmdInterface.cpp
)

set (Params_sources
    Params/ADnoteParameters.cpp  Params/EnvelopeParams.cpp
    Params/FilterParams.cpp  Params/LFOParams.cpp
    Params/SUBnoteParameters.cpp  Params/PADnoteParameters.cpp
    Params/Controller.cpp  Params/Presets.cpp Params/PresetsStore.cpp
)

set (Synth_sources
    Synth/ADnote.cpp  Synth/Envelope.cpp  Synth/LFO.cpp  Synth/OscilGen.cpp
    Synth/SUBnote.cpp  Synth/Resonance.cpp  Synth/PADnote.cpp
    Synth/BodyDisposal.cpp
)

set (MusicIO_sources
    MusicIO/MusicClient.cpp  MusicIO/MusicIO.cpp  MusicIO/JackEngine.cpp
    MusicIO/AlsaEngine.cpp
)

set (FltkUI_names
    "WidgetPDialUI"  "PresetsUI"  "EnvelopeUI"
    "LFOUI"  "FilterUI"  "VirKeyboardUI"
    "ConfigUI"  "SUBnoteUI"  "ResonanceUI"
    "OscilGenUI"  "ADnoteUI"  "PADnoteUI"
    "EffUI"  "BankUI"  "PartUI"
    "MicrotonalUI"  "MasterUI" "MasterMiscUI"
    "ParametersUI" "ConsoleUI" "VectorUI"
    "WidgetMWSliderUI" "WidgetMWRollerUI"
)

# workaround fltk_wrap_ui breakage
set (FltkUI_sources)
set (FltkUI_headers)
foreach(basename ${FltkUI_names})
    set (fluidfile "${CMAKE_CURRENT_SOURCE_DIR}/UI/${basename}.fl")
    set (sourcefile "${basename}.cpp")
    set (headerfile "${basename}.h")
    add_custom_command(
        OUTPUT ${sourcefile}
        COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${fluidfile}
        DEPENDS ${fluidfile}
    )
    set (FltkUI_sources ${FltkUI_sources} "${sourcefile}")
    set (FltkUI_headers ${FltkUI_headers} "${headerfile}")
endforeach(basename ${FltkUI_names})

add_definitions (
    -D'YOSHIMI_VERSION="${YOSHIMI_VERSION}"'
    -D'BASE_INSTALL_DIR="${CMAKE_INSTALL_PREFIX}"'
    ${ALSA_LDFLAGS}
    ${JACK_LDFLAGS}
    -DYOSHI_FIFO_DIR="${FifoDirectory}"
)

add_definitions (-DYOSHIMI="yoshimi")
add_definitions (-DCOMMAND_SIZE=80)
add_definitions (-DMAX_HISTORY=25)
add_definitions (-DMAX_PRESETS=1000)
add_definitions (-DMAX_PRESET_DIRS=128)
add_definitions (-DMAX_BANK_ROOT_DIRS=128)
add_definitions (-DMAX_BANKS_IN_ROOT=128)
add_definitions (-DMAX_AD_HARMONICS=128)
add_definitions (-DMAX_SUB_HARMONICS=64)
add_definitions (-DPAD_MAX_SAMPLES=96)
add_definitions (-DADD_COLOUR=0xdfafbf00)
add_definitions (-DBASE_COLOUR=0xbfbfbf00)
add_definitions (-DSUB_COLOUR=0xafcfdf00)
add_definitions (-DPAD_COLOUR=0xcfdfaf00)
add_definitions (-DNUM_MIDI_PARTS=64)
add_definitions (-DNUM_MIDI_CHANNELS=16)
add_definitions (-DMAX_ENVELOPE_POINTS=40)
add_definitions (-DMIN_ENVELOPE_DB=-60)
add_definitions (-DMAX_RESONANCE_POINTS=256)
add_definitions (-DMAX_KEY_SHIFT=36)
add_definitions (-DMIN_KEY_SHIFT=-36)

add_definitions (-DPI=3.1415926536f)
add_definitions (-DTWOPI=6.28318530718f)
add_definitions (-DHALFPI=1.57079632679f)
add_definitions (-DLOG_2=0.693147181f)

#probably not the best way to do this :(
add_definitions (-DXML_INSTRUMENT=1)
add_definitions (-DXML_PARAMETERS=2)
add_definitions (-DXML_MICROTONAL=3)
add_definitions (-DXML_PRESETS=4)
add_definitions (-DXML_STATE=5)
add_definitions (-DXML_CONFIG=6)
add_definitions (-DXML_BANK=7)
add_definitions (-DXML_HISTORY=8)
add_definitions (-DXML_VECTOR=9)

# these were previously (pointlessly) user configurable
add_definitions (-DNUM_VOICES=8)

=== src/LV2_Plugin/CMakeLists.txt ===
#
#   CMakeLists.txt (LV2)
#
#   Copyright 2014, Andrew Deryabin <andrewderyabin@gmail.com>
#
#   This file is part of yoshimi, which is free software: you can
#   redistribute it and/or modify it under the terms of the GNU General
#   Public License as published by the Free Software Foundation, either
#   version 2 of the License, or (at your option) any later version.
#
#   yoshimi is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with yoshimi.  If not, see <http://www.gnu.org/licenses/>.

file (GLOB yoshimi_lv2_plugin_files
        YoshimiLV2Plugin.cpp
        YoshimiLV2Plugin.h
        lv2extui.h
        lv2extprg.h)
file (GLOB yoshimi_dsp_files
    ../DSP/FFTwrapper.cpp  ../DSP/AnalogFilter.cpp  ../DSP/FormantFilter.cpp
    ../DSP/SVFilter.cpp  ../DSP/Filter.cpp  ../DSP/Unison.cpp
    ../DSP/FFTwrapper.h  ../DSP/AnalogFilter.h  ../DSP/FormantFilter.h
    ../DSP/SVFilter.h  ../DSP/Filter.h  ../DSP/Unison.h)
file (GLOB yoshimi_effects_files
    ../Effects/Alienwah.cpp  ../Effects/Chorus.cpp  ../Effects/Echo.cpp
    ../Effects/EffectLFO.cpp  ../Effects/EffectMgr.cpp  ../Effects/Effect.cpp
    ../Effects/Phaser.cpp  ../Effects/Reverb.cpp  ../Effects/EQ.cpp
    ../Effects/Distorsion.cpp  ../Effects/DynamicFilter.cpp
    ../Effects/Alienwah.h  ../Effects/Chorus.h  ../Effects/Echo.h
    ../Effects/EffectLFO.h  ../Effects/EffectMgr.h  ../Effects/Effect.h
    ../Effects/Phaser.h  ../Effects/Reverb.h  ../Effects/EQ.h
    ../Effects/Distorsion.h  ../Effects/DynamicFilter.h)
file (GLOB yoshimi_misc_files
    ../Misc/Config.cpp ../Misc/Config.h
    ../Misc/SynthEngine.cpp  ../Misc/Bank.cpp  ../Misc/Microtonal.cpp
    ../Misc/Part.cpp  ../Misc/XMLwrapper.cpp  ../Misc/MiscFuncs.cpp ../Misc/WavFile.cpp
    ../Misc/SynthEngine.h  ../Misc/Bank.h  ../Misc/Microtonal.h
    ../Misc/Part.h  ../Misc/XMLwrapper.h  ../Misc/MiscFuncs.h ../Misc/WavFile.h)
file (GLOB yoshimi_params_files
    ../Params/ADnoteParameters.cpp  ../Params/EnvelopeParams.cpp
    ../Params/FilterParams.cpp  ../Params/LFOParams.cpp
    ../Params/SUBnoteParameters.cpp  ../Params/PADnoteParameters.cpp
    ../Params/Controller.cpp  ../Params/Presets.cpp ../Params/PresetsStore.cpp
    ../Params/ADnoteParameters.h  ../Params/EnvelopeParams.h
    ../Params/FilterParams.h  ../Params/LFOParams.h
    ../Params/SUBnoteParameters.h  ../Params/PADnoteParameters.h
    ../Params/Controller.h  ../Params/Presets.h ../Params/PresetsStore.h)
file (GLOB yoshimi_synth_files
    ../Synth/ADnote.cpp  ../Synth/Envelope.cpp  ../Synth/LFO.cpp  ../Synth/OscilGen.cpp
    ../Synth/SUBnote.cpp  ../Synth/Resonance.cpp  ../Synth/PADnote.cpp
    ../Synth/BodyDisposal.cpp
    ../Synth/ADnote.h  ../Synth/Envelope.h  ../Synth/LFO.h  ../Synth/OscilGen.h
    ../Synth/SUBnote.h  ../Synth/Resonance.h  ../Synth/PADnote.h
    ../Synth/BodyDisposal.h)
file (GLOB yoshimi_musicio_files
    ../MusicIO/MusicIO.cpp ../MusicIO/MusicIO.h ../MusicIO/Runtime.h)
file (GLOB yoshimi_manifest_ttl
    manifest.ttl)
file (GLOB yoshimi_plugin_ttl
    yoshimi.ttl)

set (FltkUI_names
    "WidgetPDialUI"  "PresetsUI"  "EnvelopeUI"
    "LFOUI"  "FilterUI"  "VirKeyboardUI"
    "ConfigUI"  "SUBnoteUI"  "ResonanceUI"
    "OscilGenUI"  "ADnoteUI"  "PADnoteUI"
    "EffUI"  "BankUI"  "PartUI"
    "MicrotonalUI"  "MasterUI" "MasterMiscUI"
    "ParametersUI" "ConsoleUI" "VectorUI"
    "WidgetMWSliderUI" "WidgetMWRollerUI"
)

# workaround fltk_wrap_ui breakage
set (FltkUI_sources)
set (FltkUI_headers)
foreach(basename ${FltkUI_names})
    set (fluidfile "${CMAKE_CURRENT_SOURCE_DIR}/../UI/${basename}.fl")
    set (sourcefile "${basename}.cpp")
    set (headerfile "${basename}.h")
    add_custom_command(
        OUTPUT ${sourcefile}
        COMMAND ${FLTK_FLUID_EXECUTABLE} ARGS -c -o .cpp ${fluidfile}
        DEPENDS ${fluidfile}
    )
    set (FltkUI_sources ${FltkUI_sources} "${sourcefile}")
    set (FltkUI_headers ${FltkUI_headers} "${headerfile}")
endforeach(basename ${FltkUI_names})


add_definitions (-DYOSHIMI_LV2_PLUGIN=1)

add_library (yoshimi_lv2 MODULE
            ${yoshimi_lv2_plugin_files}
            ${yoshimi_manifest_ttl}
            ${yoshimi_plugin_ttl}
            ${yoshimi_dsp_files}
            ${yoshimi_effects_files}
            ${yoshimi_misc_files}
            ${yoshimi_params_files}
            ${yoshimi_synth_files}
            ${yoshimi_musicio_files}
            ${FltkUI_sources})

add_custom_target(yoshimi_lv2_ttl
                   COMMAND test -f ${yoshimi_manifest_ttl}
                   COMMAND test -f ${yoshimi_plugin_ttl})

SET_TARGET_PROPERTIES(yoshimi_lv2 PROPERTIES PREFIX "")
include_directories (AFTER
                            ${LV2_INCLUDE_DIRS}
                            ${FLTK_INCLUDE_DIR}
                            ${MXML_INCLUDE_DIRS}
                            ${FONTCONFIG_INCLUDE_DIRS}
                            ${FFTW3F_INC_DIR}
                            ${CMAKE_CURRENT_SOURCE_DIR}
                            ${CMAKE_SOURCE_DIR})

target_link_libraries(yoshimi_lv2
                      ${LV2_LIBRARIES}
                      ${FLTK_LIBRARIES}
                      ${MXML_LIBRARIES}
                      ${LIBSNDFILE_LIBRARIES}
                      ${FFTW3F_LIBRARIES}
                      ${LIBCAIRO_LIBRARIES}
                      ${JACK_LIBRARIES}
                      z
                      dl
)

add_dependencies(yoshimi_lv2 yoshimi_lv2_ttl)

install (TARGETS yoshimi_lv2 DESTINATION ${LV2_INSTALL_DIR}/yoshimi.lv2)
install (FILES ${yoshimi_manifest_ttl} ${yoshimi_plugin_ttl}
  DESTINATION ${LV2_INSTALL_DIR}/yoshimi.lv2
)

set_directory_properties(PROPERTY ADDITIONAL_MAKE_CLEAN_FILES "${FltkUI_headers}")

=== debian/changelog ===
yoshimi (1.4.0.1-1build1) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 12:12:44 +0000

yoshimi (1.4.0.1-1) unstable; urgency=medium

  * Imported Upstream version 1.4.0.1
  * Update description.
  * Bump Standards.
  * Patch refreshed.
  * Fix hardening.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 16 Jun 2016 00:43:48 +0200

yoshimi (1.3.9-1) unstable; urgency=medium

  * New upstream release.
    - Fix build issues with GCC 6 (Closes: 814011)
  * debian/patches/manpage-fixes.patch: Removed, applied upstream.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 29 Feb 2016 00:38:57 +0100

=== debian/control ===
Source: yoshimi
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 cmake,
 debhelper (>= 9),
 fluid,
 libasound2-dev,
 libboost-dev,
 libcairo2-dev,
 libfftw3-dev,
 libfltk1.3-dev,
 libfontconfig1-dev,
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libjack-dev,
 libmxml-dev,
 libncurses5-dev,
 libreadline-dev,
 libx11-dev,
 libxext-dev,
 lv2-dev,
 sharutils,
 zlib1g-dev
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/yoshimi.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/yoshimi.git
Homepage: http://yoshimi.sourceforge.net

Package: yoshimi
Architecture: any
Depends:
 yoshimi-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 jackd
Description: software synthesizer originally based on ZynAddSubFX2
 Yoshimi is a software synthesizer for GNU/Linux, based on
 ZynAddSubFX 2.4.0.
 .
 Yoshimi maintains sound and instrument compatibility
 but now has extended features and accessibility.

Package: yoshimi-data
Architecture: all
Depends:
 ${misc:Depends}
Recommends:
 yoshimi
Description: Presets for Yoshimi
 Yoshimi is a software synthesizer originally based on ZynAddSubFX2
 .
 Yoshimi maintains sound and instrument compatibility
 but now has extended features and accessibility.
 .
 This package provides banks and presets for Yoshimi.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq (,$(findstring :$(DEB_HOST_ARCH_CPU):,:amd64:))
CXXFLAGS+=-msse -msse2 -mfpmath=sse
endif

%:
	dh $@ --parallel --sourcedirectory=src

## yoshimi 1.5.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,14 @@
 endif (POLICY CMP0046)
 set (CMAKE_CXX_STANDARD 11) # we seem to need both for
 add_definitions(-std=gnu++11) # various versions of cmake
-set (YOSHIMI_VERSION "1.4.0.1")
+
+add_definitions(-Wall)
+add_definitions(-Werror=format-security)
+
+# ^^^ comment these two out on release pushes ^^^
+
+set (YOSHIMI_VERSION "1.5.0")
+
 file (WRITE version.txt "${YOSHIMI_VERSION}")
 
 set (CMAKE_INCLUDE_CURRENT_DIR ON)
@@ -67,6 +74,10 @@
 option (BuildForAMD_X86_64 "Build for AMD x86_64 system" OFF)
 option (BuildForCore2_X86_64 "Build for Intel Core2 x86_64 system" OFF)
 option (BuildForDebug "Include gdb debugging support" OFF)
+
+option (EnableGuiReports "Enable GUI control reports" OFF)
+
+option (ReportNoteOnTimes "Report Note-On Times" OFF)
 
 #option to build lv2 plugin
 option (BuildLV2Plugin "Build yoshimi lv2 plugin interface" ON)
@@ -187,18 +198,14 @@
 mark_as_advanced (FLTK_MATH_LIBRARY)
 
 
-# libncurses
-pkg_check_modules (LIBNCURSES ncurses)
-if (LIBNCURSES_FOUND)
-    message (STATUS "Found libncurses ${LIBNCURSES_VERSION}")
-else ()
-    pkg_check_modules (LIBNCURSES REQUIRED ncursesw)
-    if (LIBNCURSES_FOUND)
-        message (STATUS "Found libncursesw ${LIBNCURSES_VERSION}")
-    else()
-        message (FATAL_ERROR "libncurses required but not found")
-    endif ()
-endif ()
+# libncurses / libcursesw
+set(CURSES_NEED_NCURSES TRUE)
+find_package (Curses REQUIRED)
+if (CURSES_FOUND)
+    message(STATUS "Found libncurses or libncursesw")
+else (CURSES_FOUND)
+    message(FATAL_ERROR "libncurses or libncursesw required but not found")
+endif (CURSES_FOUND)
 
 find_path(Readline_ROOT_DIR
     NAMES include/readline/readline.h
@@ -214,14 +221,15 @@
     HINTS ${Readline_ROOT_DIR}/lib
 )
 
-if(Readline_INCLUDE_DIR AND Readline_LIBRARY AND Ncurses_LIBRARY)
+#find_package(PkgConfig REQUIRED)
+if(Readline_INCLUDE_DIR AND Readline_LIBRARY AND CURSES_LIBRARY)
   set(READLINE_FOUND TRUE)
-else(Readline_INCLUDE_DIR AND Readline_LIBRARY AND Ncurses_LIBRARY)
+else(Readline_INCLUDE_DIR AND Readline_LIBRARY AND CURSES_LIBRARY)
   FIND_LIBRARY(Readline_LIBRARY NAMES readline)
   include(FindPackageHandleStandardArgs)
   FIND_PACKAGE_HANDLE_STANDARD_ARGS(Readline DEFAULT_MSG Readline_INCLUDE_DIR Readline_LIBRARY )
   MARK_AS_ADVANCED(Readline_INCLUDE_DIR Readline_LIBRARY)
-endif(Readline_INCLUDE_DIR AND Readline_LIBRARY AND Ncurses_LIBRARY)
+endif(Readline_INCLUDE_DIR AND Readline_LIBRARY AND CURSES_LIBRARY)
 
 mark_as_advanced(
     Readline_ROOT_DIR
@@ -273,8 +281,15 @@
 )
 
 set (Misc_sources
-    Misc/ConfBuild.cpp  Misc/Config.cpp  Misc/SynthEngine.cpp  Misc/Bank.cpp
-    Misc/Microtonal.cpp   Misc/Part.cpp  Misc/XMLwrapper.cpp  Misc/MiscFuncs.cpp   Misc/WavFile.cpp   Misc/CmdInterface.cpp
+    Misc/ConfBuild.cpp  Misc/Config.cpp  Misc/SynthEngine.cpp  Misc/Bank.cpp  Misc/Splash.cpp
+    Misc/Microtonal.cpp   Misc/Part.cpp  Misc/XMLwrapper.cpp  Misc/MiscFuncs.cpp   Misc/WavFile.cpp
+)
+
+set (Interface_Sources
+    Interface/CmdInterface.cpp
+    Interface/InterChange.cpp
+    Interface/MidiLearn.cpp
+    UI/MiscGui.cpp
 )
 
 set (Params_sources
@@ -296,14 +311,14 @@
 )
 
 set (FltkUI_names
-    "WidgetPDialUI"  "PresetsUI"  "EnvelopeUI"
-    "LFOUI"  "FilterUI"  "VirKeyboardUI"
-    "ConfigUI"  "SUBnoteUI"  "ResonanceUI"
-    "OscilGenUI"  "ADnoteUI"  "PADnoteUI"
-    "EffUI"  "BankUI"  "PartUI"
-    "MicrotonalUI"  "MasterUI" "MasterMiscUI"
+    "WidgetPDialUI" "PresetsUI" "EnvelopeUI"
+    "LFOUI" "FilterUI" "VirKeyboardUI"
+    "ConfigUI" "SUBnoteUI" "ResonanceUI"
+    "OscilGenUI" "ADnoteUI" "PADnoteUI"
+    "EffUI" "BankUI" "PartUI"
+    "MicrotonalUI" "MasterUI" "MasterMiscUI"
     "ParametersUI" "ConsoleUI" "VectorUI"
-    "WidgetMWSliderUI" "WidgetMWRollerUI"
+    "MidiLearnUI" "WidgetMWSliderUI"
 )
 
 # workaround fltk_wrap_ui breakage
@@ -346,6 +361,7 @@
 add_definitions (-DPAD_COLOUR=0xcfdfaf00)
 add_definitions (-DNUM_MIDI_PARTS=64)
 add_definitions (-DNUM_MIDI_CHANNELS=16)
+add_definitions (-DMIDI_LEARN_BLOCK=128)
 add_definitions (-DMAX_ENVELOPE_POINTS=40)
 add_definitions (-DMIN_ENVELOPE_DB=-60)
 add_definitions (-DMAX_RESONANCE_POINTS=256)
@@ -361,12 +377,3 @@
 add_definitions (-DXML_INSTRUMENT=1)
 add_definitions (-DXML_PARAMETERS=2)
 add_definitions (-DXML_MICROTONAL=3)
-add_definitions (-DXML_PRESETS=4)
-add_definitions (-DXML_STATE=5)
-add_definitions (-DXML_CONFIG=6)
-add_definitions (-DXML_BANK=7)
-add_definitions (-DXML_HISTORY=8)
-add_definitions (-DXML_VECTOR=9)
-
-# these were previously (pointlessly) user configurable
-add_definitions (-DNUM_VOICES=8)

=== src/LV2_Plugin/CMakeLists.txt ===
--- 
+++ 
@@ -36,11 +36,15 @@
     ../Effects/Phaser.h  ../Effects/Reverb.h  ../Effects/EQ.h
     ../Effects/Distorsion.h  ../Effects/DynamicFilter.h)
 file (GLOB yoshimi_misc_files
-    ../Misc/Config.cpp ../Misc/Config.h
+    ../Misc/Config.cpp ../Misc/Config.h ../ConfBuild.cpp
     ../Misc/SynthEngine.cpp  ../Misc/Bank.cpp  ../Misc/Microtonal.cpp
     ../Misc/Part.cpp  ../Misc/XMLwrapper.cpp  ../Misc/MiscFuncs.cpp ../Misc/WavFile.cpp
     ../Misc/SynthEngine.h  ../Misc/Bank.h  ../Misc/Microtonal.h
     ../Misc/Part.h  ../Misc/XMLwrapper.h  ../Misc/MiscFuncs.h ../Misc/WavFile.h)
+file (GLOB yoshimi_interface_files
+    ../Interface/InterChange.cpp ../Interface/InterChange.h
+    ../Interface/MidiLearn.cpp ../Interface/MidiLearn.h
+    ../UI/MiscGui.cpp ../UI/MiscGui.h)
 file (GLOB yoshimi_params_files
     ../Params/ADnoteParameters.cpp  ../Params/EnvelopeParams.cpp
     ../Params/FilterParams.cpp  ../Params/LFOParams.cpp
@@ -72,7 +76,7 @@
     "EffUI"  "BankUI"  "PartUI"
     "MicrotonalUI"  "MasterUI" "MasterMiscUI"
     "ParametersUI" "ConsoleUI" "VectorUI"
-    "WidgetMWSliderUI" "WidgetMWRollerUI"
+    "MidiLearnUI" "WidgetMWSliderUI"
 )
 
 # workaround fltk_wrap_ui breakage
@@ -101,6 +105,7 @@
             ${yoshimi_dsp_files}
             ${yoshimi_effects_files}
             ${yoshimi_misc_files}
+            ${yoshimi_interface_files}
             ${yoshimi_params_files}
             ${yoshimi_synth_files}
             ${yoshimi_musicio_files}

=== debian/changelog ===
yoshimi (1.5.0-3) unstable; urgency=medium

  * Update copyright file.
  * Add patch to update appdata file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 16 Jan 2017 10:06:53 +0100

yoshimi (1.5.0-2) unstable; urgency=medium

  * Install LV2 plugins. (Closes: 849166)
    Thanks to Takeshi Soejima <sohet@mbox.kyoto-inet.or.jp>
  * Add lintian-overrides file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 23 Dec 2016 10:20:53 +0100

yoshimi (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 18 Dec 2016 00:27:35 +0100

yoshimi (1.4.1-2) unstable; urgency=medium

  * Fix patch description.
  * Set dh/compat 10.
  * Remove redundant amd64 flags.
  * Sign tags.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 13 Dec 2016 17:23:46 +0100

yoshimi (1.4.1-1) unstable; urgency=medium

  * New upstream version 1.4.1
  * Patch refreshed.
  * Add spelling patch.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 05 Sep 2016 21:19:53 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  cmake,
- debhelper (>= 9),
+ debhelper (>= 10),
  fluid,
  libasound2-dev,
  libboost-dev,

## yoshimi 1.5.3

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #   CMakeLists.txt
 #
 #   Copyright 2009-2011, Alan Calvert
-#   Copyright 2014-2016, Will Godfrey, and others
+#   Copyright 2014-2017, Will Godfrey & others
 #
 #   This file is part of yoshimi, which is free software: you can
 #   redistribute it and/or modify it under the terms of the GNU General
@@ -27,12 +27,12 @@
 set (CMAKE_CXX_STANDARD 11) # we seem to need both for
 add_definitions(-std=gnu++11) # various versions of cmake
 
-add_definitions(-Wall)
-add_definitions(-Werror=format-security)
+#add_definitions(-Wall)
+#add_definitions(-Werror=format-security)
 
 # ^^^ comment these two out on release pushes ^^^
 
-set (YOSHIMI_VERSION "1.5.0")
+set (YOSHIMI_VERSION "1.5.3")
 
 file (WRITE version.txt "${YOSHIMI_VERSION}")
 
@@ -68,21 +68,18 @@
     set (JackSessionSupport OFF)
 endif (HasJackSession)
 
-#set (DefaultAudio jack CACHE STRING "Default audio driver - alsa or jack")
-#set (DefaultMidi jack CACHE STRING "Default midi driver - alsa or jack")
-
 option (BuildForAMD_X86_64 "Build for AMD x86_64 system" OFF)
 option (BuildForCore2_X86_64 "Build for Intel Core2 x86_64 system" OFF)
+option (BuildForNEON "Build for ARM Cortex A9 system" OFF)
+option (BuildForThisCPU "Build for presently running system" OFF)
 option (BuildForDebug "Include gdb debugging support" OFF)
 
-option (EnableGuiReports "Enable GUI control reports" OFF)
-
-option (ReportNoteOnTimes "Report Note-On Times" OFF)
-
 #option to build lv2 plugin
-option (BuildLV2Plugin "Build yoshimi lv2 plugin interface" ON)
-
-set (FifoDirectory /dev/shm CACHE STRING "Directory for fifos")
+option (LV2Plugin "Build yoshimi lv2 plugin interface" ON)
+
+# developer info
+option (ShowGuiReports "Enable GUI control reports" OFF)
+option (ShowNoteOnTimes "Report Note-On Times" OFF)
 
 set (BuildOptions_x86_64AMD
     "-O3 -march=athlon64 -m64 -Wall -ffast-math -fno-finite-math-only -fomit-frame-pointer"
@@ -92,6 +89,16 @@
 set (BuildOptions_X86_64Core2
     "-O3 -march=core2 -m64 -Wall -ffast-math -fno-finite-math-only -fomit-frame-pointer"
   CACHE STRING "X86_64 compiler options"
+)
+
+set (BuildOptions_NEON
+"-O3 -march=armv7-a -mfloat-abi=hard -mfpu=neon -mcpu=cortex-a9 -mtune=cortex-a9 -pipe -mvectorize-with-neon-quad -funsafe-loop-optimizations"
+  CACHE STRING "Cortex_a9 compiler options"
+)
+
+set (BuildOptionsThisCPU
+    "-O3 -march=native -Wall -ffast-math -fno-finite-math-only -fomit-frame-pointer"
+  CACHE STRING "Current CPU compiler options"
 )
 
 set (BuildOptionsBasic
@@ -257,7 +264,16 @@
         if (BuildForCore2_X86_64)
             set (CMAKE_CXX_FLAGS_RELEASE ${BuildOptions_X86_64Core2})
         else (BuildForCore2_X86_64)
-            set (CMAKE_CXX_FLAGS_RELEASE ${BuildOptionsBasic})
+            if (BuildForNEON)
+                set (CMAKE_CXX_FLAGS_RELEASE ${BuildOptions_NEON})
+            else (BuildForNEON)
+                set (CMAKE_CXX_FLAGS_RELEASE ${BuildOptionsBasic})
+                if (BuildForThisCPU)
+                    set (CMAKE_CXX_FLAGS_RELEASE ${BuildOptionsThisCPU})
+                else (BuildForThicCPU)
+                    set (CMAKE_CXX_FLAGS_RELEASE ${BuildOptionsBasic})
+                endif (BuildForThisCPU)
+            endif (BuildForNEON)
         endif (BuildForCore2_X86_64)
     endif (BuildForAMD_X86_64)
     message (STATUS "Building for ${CMAKE_BUILD_TYPE}, flags: ${CMAKE_CXX_FLAGS_RELEASE}")
@@ -289,6 +305,7 @@
     Interface/CmdInterface.cpp
     Interface/InterChange.cpp
     Interface/MidiLearn.cpp
+    Interface/MidiDecode.cpp
     UI/MiscGui.cpp
 )
 
@@ -311,14 +328,14 @@
 )
 
 set (FltkUI_names
-    "WidgetPDialUI" "PresetsUI" "EnvelopeUI"
+    "PresetsUI" "EnvelopeUI"
     "LFOUI" "FilterUI" "VirKeyboardUI"
     "ConfigUI" "SUBnoteUI" "ResonanceUI"
     "OscilGenUI" "ADnoteUI" "PADnoteUI"
     "EffUI" "BankUI" "PartUI"
     "MicrotonalUI" "MasterUI" "MasterMiscUI"
     "ParametersUI" "ConsoleUI" "VectorUI"
-    "MidiLearnUI" "WidgetMWSliderUI"
+    "MidiLearnUI"
 )
 
 # workaround fltk_wrap_ui breakage
@@ -337,6 +354,13 @@
     set (FltkUI_headers ${FltkUI_headers} "${headerfile}")
 endforeach(basename ${FltkUI_names})
 
+set (FltkUI_sources
+    ${FltkUI_sources}
+    UI/DynamicTooltip.cpp
+    UI/WidgetPDial.cpp
+    UI/WidgetMWSlider.cpp
+)
+
 add_definitions (
     -D'YOSHIMI_VERSION="${YOSHIMI_VERSION}"'
     -D'BASE_INSTALL_DIR="${CMAKE_INSTALL_PREFIX}"'
@@ -345,35 +369,11 @@
     -DYOSHI_FIFO_DIR="${FifoDirectory}"
 )
 
+# many of these are here for convenience and consistency
+# changing them is likely to have unpredicable consequences
 add_definitions (-DYOSHIMI="yoshimi")
 add_definitions (-DCOMMAND_SIZE=80)
 add_definitions (-DMAX_HISTORY=25)
 add_definitions (-DMAX_PRESETS=1000)
 add_definitions (-DMAX_PRESET_DIRS=128)
 add_definitions (-DMAX_BANK_ROOT_DIRS=128)
-add_definitions (-DMAX_BANKS_IN_ROOT=128)
-add_definitions (-DMAX_AD_HARMONICS=128)
-add_definitions (-DMAX_SUB_HARMONICS=64)
-add_definitions (-DPAD_MAX_SAMPLES=96)
-add_definitions (-DADD_COLOUR=0xdfafbf00)
-add_definitions (-DBASE_COLOUR=0xbfbfbf00)
-add_definitions (-DSUB_COLOUR=0xafcfdf00)
-add_definitions (-DPAD_COLOUR=0xcfdfaf00)
-add_definitions (-DNUM_MIDI_PARTS=64)
-add_definitions (-DNUM_MIDI_CHANNELS=16)
-add_definitions (-DMIDI_LEARN_BLOCK=128)
-add_definitions (-DMAX_ENVELOPE_POINTS=40)
-add_definitions (-DMIN_ENVELOPE_DB=-60)
-add_definitions (-DMAX_RESONANCE_POINTS=256)
-add_definitions (-DMAX_KEY_SHIFT=36)
-add_definitions (-DMIN_KEY_SHIFT=-36)
-
-add_definitions (-DPI=3.1415926536f)
-add_definitions (-DTWOPI=6.28318530718f)
-add_definitions (-DHALFPI=1.57079632679f)
-add_definitions (-DLOG_2=0.693147181f)
-
-#probably not the best way to do this :(
-add_definitions (-DXML_INSTRUMENT=1)
-add_definitions (-DXML_PARAMETERS=2)
-add_definitions (-DXML_MICROTONAL=3)

=== src/LV2_Plugin/CMakeLists.txt ===
--- 
+++ 
@@ -42,6 +42,7 @@
     ../Misc/SynthEngine.h  ../Misc/Bank.h  ../Misc/Microtonal.h
     ../Misc/Part.h  ../Misc/XMLwrapper.h  ../Misc/MiscFuncs.h ../Misc/WavFile.h)
 file (GLOB yoshimi_interface_files
+    ../Interface/MidiDecode.cpp ../Interface/MidiDecode.h
     ../Interface/InterChange.cpp ../Interface/InterChange.h
     ../Interface/MidiLearn.cpp ../Interface/MidiLearn.h
     ../UI/MiscGui.cpp ../UI/MiscGui.h)
@@ -69,14 +70,14 @@
     yoshimi.ttl)
 
 set (FltkUI_names
-    "WidgetPDialUI"  "PresetsUI"  "EnvelopeUI"
+    "PresetsUI"  "EnvelopeUI"
     "LFOUI"  "FilterUI"  "VirKeyboardUI"
     "ConfigUI"  "SUBnoteUI"  "ResonanceUI"
     "OscilGenUI"  "ADnoteUI"  "PADnoteUI"
     "EffUI"  "BankUI"  "PartUI"
     "MicrotonalUI"  "MasterUI" "MasterMiscUI"
     "ParametersUI" "ConsoleUI" "VectorUI"
-    "MidiLearnUI" "WidgetMWSliderUI"
+    "MidiLearnUI"
 )
 
 # workaround fltk_wrap_ui breakage
@@ -95,6 +96,12 @@
     set (FltkUI_headers ${FltkUI_headers} "${headerfile}")
 endforeach(basename ${FltkUI_names})
 
+set (FltkUI_sources
+    ${FltkUI_sources}
+    ../UI/DynamicTooltip.cpp
+    ../UI/WidgetPDial.cpp
+    ../UI/WidgetMWSlider.cpp
+)
 
 add_definitions (-DYOSHIMI_LV2_PLUGIN=1)

=== debian/changelog ===
yoshimi (1.5.3-1) unstable; urgency=medium

  * New upstream version 1.5.3
  * Bump Standards.
  * Update Vcs - use git instead of cgit.
  * Introduce postclone.sh script to ignore .pc/ dir.
  * Update install file.
  * Update override file.
  * Add spelling patch.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 22 Aug 2017 12:21:46 +0200

yoshimi (1.5.2.1-1) unstable; urgency=medium

  * New upstream version 1.5.2.1
  * Patches deleted/refreshed.
  * Bump Standards.
  * Update override file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 25 Jun 2017 19:50:31 +0200

=== debian/control ===
--- 
+++ 
@@ -25,9 +25,9 @@
  lv2-dev,
  sharutils,
  zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/yoshimi.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/yoshimi.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/yoshimi.git
 Homepage: http://yoshimi.sourceforge.net
 
 Package: yoshimi
